summaryrefslogtreecommitdiffstats
path: root/445/regr/testcase
diff options
context:
space:
mode:
Diffstat (limited to '445/regr/testcase')
-rwxr-xr-x445/regr/testcase32
1 files changed, 32 insertions, 0 deletions
diff --git a/445/regr/testcase b/445/regr/testcase
new file mode 100755
index 0000000..5b90126
--- /dev/null
+++ b/445/regr/testcase
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+description="# Bug 445 - Transport endpoint is not connected "
+comments="# Touching a file works, writing actual data to it doesn't."
+
+
+source ../../init
+
+start_glusterfs
+
+sleep 2
+echo "this is file content" > $MOUNTDIR/client1/testing.txt
+
+retval=$?
+
+
+
+if [ $retval -eq 0 ]
+then
+ ok $description
+ comment $comments
+
+else
+ not_ok $description
+ comment $comments
+
+fi
+
+
+rm $MOUNTDIR/client1/testing.txt >/dev/null
+cleanup_glusterfs
+